import argparse
from .console import ingest


def buildParsers() -> argparse.ArgumentParser:
    parser = argparse.ArgumentParser()

    subparsers = parser.add_subparsers()

    ingest_parser = subparsers.add_parser('ingest')
    ingest.addArguments(ingest_parser)

    return parser


def main() -> None:
    raw_args = buildParsers().parse_args()
    raw_args.func(raw_args)
